// PC2_COM.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"
#include <windows.h>
#include <commctrl.h>

int _tmain(int argc, _TCHAR* argv[])
{
HANDLE hCom;
RETAILMSG(1,(L"Hello World!\r\n"));
hCom = CreateFile( _T("COM2:"),GENERIC_WRITE|GENERIC_READ, 
					0,NULL, OPEN_EXISTING,FILE_ATTRIBUTE_NORMAL, NULL );
if(INVALID_HANDLE_VALUE == hCom)
{
	RETAILMSG(1,(L"can not open dio port\r\n"));
	_tprintf(L"can not open dio port\r\n");
	return FALSE;
}

/* Get / Set CommState */
DCB cDcb;
cDcb.DCBlength = sizeof( cDcb );
GetCommState(hCom,&cDcb);
cDcb.ByteSize = 8;
cDcb.Parity = NOPARITY;
cDcb.StopBits = ONESTOPBIT;
cDcb.BaudRate = CBR_38400;
cDcb.fOutxCtsFlow = 0;
cDcb.EvtChar = 0x0A;
SetCommState(hCom,&cDcb);

/* Write to port */
char *szMessage = "Hello World from PicoCOM2...";
char *szMess2 = "\r\n:-)";
DWORD dwLen = strlen(szMessage);
DWORD dwLen2 = strlen(szMess2);
DWORD dwNumR = 0;
WriteFile(hCom,(LPVOID) szMessage,dwLen,&dwNumR,NULL);
_tprintf(L"\r\n..... wrote %u bytes\r\n",dwNumR);
Sleep(3000);
WriteFile(hCom,(LPVOID) szMess2,dwLen2,&dwNumR,NULL);
_tprintf(L"\r\n..... wrote %u bytes\r\n",dwNumR);


printf("Text1: %s\r\n",szMessage);
printf("Text2: %s\r\n",szMess2);
_tprintf(L"len1 = %u len2 = %u\r\n",dwLen,dwLen2);	
_tprintf(L"\r\n Program exit (in 4 sec).\r\n");

Sleep(10000);
CloseHandle(hCom);
return 0;
}//_tmain

